﻿<UserControl x:Class="OrslavTeam.Revit.Steel.StairRun.UserControls.BottomSection.VerticalControl"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:local="clr-namespace:OrslavTeam.Revit.Steel.StairRun.UserControls.BottomSection"
        xmlns:controls="clr-namespace:OrslavTeam.WPFStyle.Style.Controls;assembly=OrslavTeam.WPFStyle.Style"
        mc:Ignorable="d" d:DesignHeight="330.383" d:DesignWidth="555.162">
    <UserControl.Resources>
        <ResourceDictionary Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/WindowsStyle.xaml" />
    </UserControl.Resources>
    <controls:FlipGroupPanel>
        <controls:FlipGroupPanel.FrontContent>
            <Canvas Width="480" Height="280">
                <Image
                        Source="C:\ProgramData\Autodesk\Revit\Addins\2019\OTeam\res\Steel\StairRun\bottomSegment_type2.png"
                        Width="157" Canvas.Left="118" Canvas.Top="2" />
                <Button Canvas.Top="55" Canvas.Left="6" Command="{Binding SectionBottomSupportGetCommand}"
                        Content="{Binding SectionBottomSupportName}" />
                <TextBox Style="{DynamicResource DimensionsInput}" Canvas.Left="184" Canvas.Top="244"
                        IsEnabled="{Binding SectionBottomSupportAnchorNeed, Mode=OneWay}"
                        Text="{Binding SectionBottomSupportAnchorDepthBinding, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" />
                <TextBox Style="{DynamicResource DimensionsInput}" Canvas.Left="264" Canvas.Top="197"
                        IsEnabled="{Binding SectionBottomSupportAnchorNeed, Mode=OneWay}"
                        Text="{Binding SectionBottomSupportAnchorWidthBinding, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" />

                <WrapPanel Orientation="Horizontal" Canvas.Right="0" Canvas.Bottom="0">
                    <ToggleButton
                            IsChecked="{Binding SectionBottomSupportAnchorNeed, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" />
                    <TextBlock Text="Отвір для болта" />
                </WrapPanel>
            </Canvas>
        </controls:FlipGroupPanel.FrontContent>
        <controls:FlipGroupPanel.BackContents>
            <local:ProfileInfoControl />
        </controls:FlipGroupPanel.BackContents>
    </controls:FlipGroupPanel>
</UserControl>
